import { createAsyncStructure } from 'store/utils/actions';

import constants from './constants';

const actions = {
  list: createAsyncStructure(`${constants.prefix}_list`),
  upload: createAsyncStructure(`${constants.prefix}_upload`),
  uploadS3: createAsyncStructure(`${constants.prefix}uploadS3`),
  filesGetMine: createAsyncStructure(`${constants.prefix}filesGetMine`),
  filesGetOne: createAsyncStructure(`${constants.prefix}filesGetOne`),
};

export default actions;
